#include "Quadrado.h"
#include "GL.h"
#include <iostream>

using namespace std;

// Construtor: repassa o centro (x,y) para o construtor de Figura
// e armazena o lado do quadrado
Quadrado::Quadrado (float x, float y, float lado): Figura(x,y) {
    // "this" representa um ponteiro para o próprio objeto
    // Uma das suas utilidades é esta:
    this->lado = lado;
}

// Desenha um quadrado na tela
//   * chame aqui os métodos de desenho apropriados da classe GL
//     (veja alguns exemplos no método paint de RendererGL)
void Quadrado::draw() {
    Figura::draw(); // seta a cor
    cout << "Quadrado: " << x << "," << y << " - " << lado << endl;
}

