#ifndef RENDERER_H
#define RENDERER_H

// Declaração forward da classe ListaDeFigurasPolim,
// permite que ela seja usada aqui como PONTEIRO,
// sem a necessidade de incluir o header
class ListaDeFigurasPolim;

class Renderer {
	public:
		// Construtor recebe um ponteiro para o objeto que armazena o vetor de objetos
		Renderer(ListaDeFigurasPolim* lista);
		virtual void paint();
		virtual void keyboard(unsigned char key, int x, int y);
	protected:
		ListaDeFigurasPolim* lista;
};

#endif
