#include "Circulo.h"
#include "GL.h"
#include <iostream>

using namespace std;

// Construtor: repassa o centro (x,y) para o construtor de Figura
// e armazena o raio do círculo
Circulo::Circulo (float x, float y, float raio): Figura(x,y) {
    // "this" representa um ponteiro para o próprio objeto
    // Uma das suas utilidades é esta:
    this->raio = raio;
}

// Desenha um círculo na tela
//   * chame aqui os métodos de desenho apropriados da classe GL
//     (veja alguns exemplos no método paint de RendererGL)
void Circulo::draw() {
    Figura::draw(); // seta a cor
    cout << "Circulo: " << x << "," << y << " - " << raio << endl;
}

